#!/usr/bin/make -f

include /usr/share/javahelper/java-vars.mk
export CLASSPATH := /usr/share/java/fits.jar

%:
	dh $@ --with javahelper

override_jh_build:
	jh_build
	cd debian/_jh_build.javadoc/api/jquery && \
	rm *.css *.js && \
	rm -r external images && \
	(for filename in /usr/share/javascript/jquery/* /usr/share/javascript/jquery-ui/*; do ln -s $$filename; done)

override_dh_installchangelogs:
	dh_installchangelogs src/java/CHANGES

override_dh_auto_test:
	CLASSPATH=healpix.jar:/usr/share/java/junit.jar jh_build --no-javadoc test.jar src/java/src/healpix/essentials/test
	CLASSPATH=test.jar debian/tests/junit
